<template>
  <div>
    <v-row justify="center">
      <v-col cols="4">
        <v-select
          :value="valid_device"
          @input="$emit('update:valid_device', $event)"
          :items="ports"
        >
        </v-select>
      </v-col>
      <v-col cols="1">
        <v-btn fab small color="primary" @click="getPorts"
          ><v-icon>mdi-refresh</v-icon></v-btn
        >
      </v-col>
    </v-row>
  </div>
</template>

<script>


export default {
  name: "Devices",
  props: ["valid_device"],
  data: () => ({
    ports: [],
    loading: false,
  }),
  methods: {
    getPorts() {
      this.$emit("update:valid_device", null);
      this.ports = [];
      this.$axios
        .get("/getports")
        .then((res) => {
          this.ports = res.data;
          if (this.ports.length > 0) {
            this.$emit("update:valid_device", this.ports[0]);
          }
        })
        .catch((err) => {
          console.log(err);
        });
    },
    selectPort(port) {
      this.selectedPort = port;
    },
  },
  created() {
    this.getPorts();
  },
};
</script>